using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using xabaraCOM;

public partial class member_student_Default : System.Web.UI.Page
{
    user u = new user();
    sqlServer sql = new sqlServer();
    webPublic wp = new webPublic();

    protected void Page_Load(object sender, EventArgs e)
    {
        u.check("", url.currently);
        Page.Title = "管理家教信息　" + xml.read("xabara.config", "webName", 180);

        if (!IsPostBack)
        {
            string strSql = "select *,xabaraUser.Uid as id from studentInfo left join xabaraUser on XabaraUser.userCardID=studentInfo.uID where studentInfo.uID='" + u.userCardID + "' order by studentInfo.workFlag ASC,studentInfo.sID DESC";
            lblCurrentPage.Text = sql.RepeaterDB(RepeaterList, strSql, string.Empty, 10, "page", "center", true);

            if (this.RepeaterList.Items.Count < 1)
            {
                Response.Redirect("add.aspx", true);
            }
        }
    }

    public string IDsTreeName(string str, string strBR)
    {
        return wp.IDsTreeName(str, strBR);
    }

    public string studyIDSWeek(string str)
    {
        return wp.studyIDSWeek(str);
    }

    public string getFlag(string str)
    {
        return wp.infoStudentFlag(str);
    }
}